<?php
/**
 * Configuration file for the Photo Gallery application
 */

// Database configuration
define('DB_HOST', 'localhost');
define('DB_NAME', 'photo_gallery');
define('DB_USER', 'gallery_user');
define('DB_PASS', 'gallery_password');

// Google OAuth configuration
define('GOOGLE_CLIENT_ID', '123456789012-example123456789abcdefg.apps.googleusercontent.com');
define('GOOGLE_CLIENT_SECRET', 'EXAMPLE-SECRET-abcdefghijklmnopqrstuvwxyz');
define('GOOGLE_REDIRECT_URI', 'http://localhost/photo_gallery/auth/google_callback.php');

// Application paths
define('BASE_URL', 'http://localhost/photo_gallery/');
define('UPLOAD_DIR', __DIR__ . '/uploads/');
define('THUMBNAIL_DIR', __DIR__ . '/uploads/thumbnails/');

// Session configuration
define('SESSION_LIFETIME', 86400); // 24 hours in seconds

// Security settings
define('HASH_SALT', 'change_this_to_a_random_string');
